Show / Hide Table of Contents

# Enum AgentId

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public enum AgentId : uint

### Fields

Name | Description
--- | ---
Achievement |
ActionDetail |
ActionMenu |
AdventureNotebook |
AetherCurrent |
AirShipExploration |
AirShipExplorationDetail |
AozNotebook |
AquariumSetting |
ArmouryBoard |
Bait |
BeginnersMansionProblem |
Buddy |
Cabinet |
Catch |
CharaMake |
ChatConfig |
ChatLog |
CircleBook |
CircleList |
CloseMessage |
Colorant |
CompanyCraftMaterial |
CompanyCraftRecipeNoteBook |
Config |
ConfigCharacter |
Configkey |
ConfigLogColor |
ConfigPadcustomize |
ContactList |
ContentsFinder |
ContentsFinderMenu |
ContentsFinderSetting |
ContentsMvp |
ContentsNote |
ContentsReplayPlayer |
ContentsReplaySetting |
ContentsTimer |
Context |
CountDownSettingDialog |
CraftActionSimulator |
Credit |
CreditCast |
CrossWorldLinkShell |
Currency |
Cursor |
CursorLocation |
CutsceneReplay |
Dawn |
DeepDungeonMap |
DeepDungeonMenu |
DeepDungeonSaveData |
DeepDungeonScore |
DeepDungeonStatus |
Description |
DpsChallenge |
Emj |
EmjSetting |
Emote |
Fashion |
FateProgress |
FieldMarker |
FishGuide |
FishingNote |
FishRecord |
FreeCompany |
FreeCompanyChest |
FreeCompanyCreditShop |
FreeCompanyCrestDecal |
FreeCompanyCrestEditor |
FreeCompanyExchange |
FreeCompanyInputString |
FreeCompanyProfile |
GatheringNote |
GcArmyCapture |
GcArmyExpedition |
GcArmyMemberList |
GcArmyMenberProfile |
GcArmyOrder |
GcArmyTraining |
Gearset |
GoldSaucer |
GoldSaucerMiniGame |
GoldSaucerReward |
GrandCompanyExchange |
GrandCompanyRank |
GrandCompanySupply |
Housing |
HousingBuddyList |
HousingEditContainer |
HousingGuestBook |
HousingPlant |
HousingPortal |
HousingSignboard |
Howto |
HowtoList |
HowtoNotice |
Hud |
HudLayout |
Inspect |
Inventory |
InventoryBuddy |
InventoryContext |
ItemAppraisal |
ItemCompare |
ItemDetail |
ItemInspection |
ItemSearch |
Journal |
JournalAccept |
JournalResult |
LetterEdit |
LetterList |
LetterView |
LeveQuest |
LicenseViewer |
Linkshell |
Lobby |
LookingForGroup |
Loot |
LotteryDaily |
LotteryWeekly |
LovmNamePlate |
LovmPaletteEdit |
LovmParty |
LovmRanking |
LovmResult |
Macro |
Map |
Marker |
MateriaAttach |
Materialize |
McGuffin |
Minigame |
MinionNotebook |
MiragePrism |
MiragePrismMiragePlate |
MiragePrismPrismBox |
MiragePrismPrismItemDetail |
MobHunt |
MonsterNote |
MountNotebook |
MountSpeed |
MovieSubtitle |
MycBattleAreaInfo |
MycInfo |
MycItemBag |
MycItemBox |
Orchestrion |
OrchestrionInn |
OrchestrionPlayList |
OrnamentNoteBook |
PadMouseMode |
PersonalRoomPortal |
PlayGuide |
PvpProfile |
PvpTeam |
QuestRedo |
QuestRedoHud |
RaidFinder |
RecipeNote |
RecommendList |
ReconstructionBox |
ReconstructionBuyback |
RelicNotebook |
Repair |
Retainer |
RetainerList |
RetainerStatus |
RetainerTask |
Revive |
RideShooting |
ScenarioTree |
ScreenLog |
Shop |
Snipe |
Social |
SocialBlacklist |
SocialDetail |
SocialFriendList |
SocialPartyMember |
SocialSearch |
Status |
SubmersibleExplorationDetail |
SupportEdit |
SupportList |
SupportMain |
SupportView |
TargetCircle |
Teleport |
TeleportHousingFriend |
TelepotTown |
Trade |
TreasureHunt |
TrippleTriad |
Tryon |
VoteGiveUp |
VoteKick |
VoteTreasure |
WeatherReport |
WebGuidance |
WebLauncher |
WeeklyBingo |
WorldTravel |
YkwNote |

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()